Subject: bug#1096 closed by Jason Rumney <[email-masked]> (Re: bug#1096: The Emacs 23 cann't display the cjk extb characters again.)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs,w32 package:

#1096: The Emacs 23 cann't display the cjk extb characters again.

It has been closed by Jason Rumney <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Jason Rumney <[email-masked]> by
replying to this email.

-- 
1096: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1096
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Thu Dec 11 05:14:37 2008
Sender: Jason Rumney <[email-masked]>
Date: Thu, 11 Dec 2008 21:14:00 +0800
From: Jason Rumney <[email-masked]>
To: Kenichi Handa <[email-masked]>, [email-masked]
CC: Chong Yidong <[email-masked]>, [email-masked]
Subject: Re: bug#1096: The Emacs 23 cann't display the cjk extb characters
 again.

Kenichi Handa wrote:
> I've just installed a fix.  At least with Xft font backend,
> Emacs should be able to find a proper font for the Unicode
> SIP area (#x20000..#x2FFFF) now.
>   

In addition to that change, which should help with displaying those 
characters by default, it turns out there is a bug in the Windows 
function that we use to encode characters into glyph points when passed 
a surrogate pair. I've worked around it by using an oversized glyph buffer.

>From [email-masked] Sun Oct  5 19:26:01 2008
Date: Mon, 6 Oct 2008 10:25:47 +0800
From: [email-masked]
To: [email-masked]
Subject: The Emacs 23 cann't display the cjk extb characters again.
Resent-from: [email-masked]
Resent-Message-Id: <[email-masked]>
Resent-Date: Sun, 05 Oct 2008 22:25:57 -0400

------------C7B56A2F6D98E3
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

Dear all,

Now, I updated the Emacs 23 to 23.0.60.1 (i386-mingw-nt5.1.2600) of 2008-10-03 on LENNART-69DE564, then I find that I cann't see the correct cjk extb characters displayed by this version.  For example, the Chinese character uni20021, a character of cjk extb, which can be displayed correctly by using the previous versions by LENNART, cann't be displayed correctly now.  In addition, I can display that character on my box with emeditor, denoting that I've the corresponding fonts installed correctly.  Finally, I've use the following settings in my _emacas file which is suggested by Kenichi Handa:

--------------
(if (display-graphic-p)
(set-fontset-font
 (frame-parameter nil 'font)
 '(#x20000 . #x2fa1d)
 '("*-Sun-ExtB" . "unicode-sip")))
--------------

Please find the snapshot of this issue in the attachments. 

Regards,
-- 
Hongyi Zhao <[email-masked]> 
Xinjiang Technical Institute of Physics and Chemistry
Chinese Academy of Sciences 
GnuPG DSA: 0xD108493
2008-10-5
------------C7B56A2F6D98E3
Content-Type: TEXT/PLAIN;
 name="uni20021.txt"
Content-transfer-encoding: base64
Content-Disposition: attachment;
 filename="uni20021.txt"

dW5pMjAwMjEg8KCAoQ==
------------C7B56A2F6D98E3
Content-Type: IMAGE/PNG;
 name="display_by_emeditor.png"
Content-transfer-encoding: base64
Content-Disposition: attachment;
 filename="display_by_emeditor.png"

------------C7B56A2F6D98E3
Content-Type: IMAGE/PNG;
 name="display_by_emacs.png"
Content-transfer-encoding: base64
Content-Disposition: attachment;
 filename="display_by_emacs.png"

------------C7B56A2F6D98E3--